/** Div to hold buttons. */
export declare function Buttons({ className, ...props }: React.HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
/** Button for clearing the output/console. */
export declare function Clear({ className, children, shortcut, title, ...attrs }: React.ButtonHTMLAttributes<HTMLButtonElement> & {
    /** Keyboard shortcut to clear the console. */
    shortcut?: string;
}): import("react/jsx-runtime").JSX.Element;
/** Button for copying the contents of one group to another. */
export declare function Copy({ children, className, from: fromGroup, to: toGroup, ...attrs }: React.ButtonHTMLAttributes<HTMLButtonElement> & {
    /** Source editor group. */
    from: string;
    /** Target editor group. */
    to: string;
}): import("react/jsx-runtime").JSX.Element;
/** Button for resetting editor contents to initial state. */
export declare function Reset({ className, children, title, ...attrs }: React.ButtonHTMLAttributes<HTMLButtonElement>): import("react/jsx-runtime").JSX.Element;
/** Button for running the code. */
export declare function Run({ className, children, shortcut, title, ...props }: React.ButtonHTMLAttributes<HTMLButtonElement> & {
    /** Keyboard shortcut to run the code. */
    shortcut?: string;
}): import("react/jsx-runtime").JSX.Element;
/** Group selection tab. */
export declare function Tab({ id, ...props }: React.ButtonHTMLAttributes<HTMLButtonElement> & {
    /** ID of {@link EditorGroup} this corresponds to */
    id: string;
}): import("react/jsx-runtime").JSX.Element;
/** Holds a list of {@link Tab}s. */
export declare function TabList(props: React.HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
